<?php
/**
* 2007-2019 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author   Aurone - sabeur 
*  @copyright 2007-2019 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {
    exit;
}

class Customvalidateantispam extends Module
{
    protected $config_form = false;

    public function __construct()
    {
        $this->name = 'customvalidateantispam';
        $this->tab = 'administration';
        $this->version = '1.0.0';
        $this->author = 'Aurone - Sabeur';
        $this->need_instance = 0;

        /**
         * Set $this->bootstrap to true if your module is compliant with bootstrap (PrestaShop 1.6)
         */
        $this->bootstrap = true;

        parent::__construct();

        $this->displayName = $this->l("validateur personnalisé contre le spam c'est pour le formulaire d'inscription de votre boutique");
        $this->description = $this->l("validateur personnalisé contre le spam c'est pour le formulaire d'inscription de votre boutique");

        $this->ps_versions_compliancy = array('min' => '1.5', 'max' => _PS_VERSION_);
    }

    /**
     * Don't forget to create update methods if needed:
     * http://doc.prestashop.com/display/PS16/Enabling+the+Auto-Update
     */
    public function install()
    {
        return parent::install() &&
            $this->registerHook('actionBeforeSubmitAccount');
    }

    public function uninstall()
    {
        return parent::uninstall();
    }

    public function hookActionBeforeSubmitAccount()
    {
        $lastname = Tools::getValue('customer_lastname');
        $firstname = Tools::getValue('customer_firstname');
        $lastname = Tools::strtolower($lastname);  
        $firstname = Tools::strtolower($firstname);
        $this->errors = array();
        if (filter_var($lastname, FILTER_VALIDATE_URL) or filter_var($firstname, FILTER_VALIDATE_URL) 
        or (strpos($lastname, "http://") === 0) or (strpos($lastname, "https://") === 0) 
        or (strpos($lastname, "www.") === 0) or (strpos($firstname, "http://") === 0)  
        or (strpos($firstname, "https://") === 0) or  (strpos($firstname, "www.") === 0)
        or strpos($firstname,'/') !== false or strpos($lastname,'/') !== false){
           $this->context->controller->errors[] = 'Type de données invalide : Nom ou Prénom';
		 }
    }
}
